<?php
namespace Bushelpowered\Api\Accountpayablebalance\V1\Request;
        
class GetAccountPayableBalancesRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var string[]|null $ids An array of primary key identifiers.*/
    public ?array $ids = null;
    /** @var string[]|null $accountIds An array of account identifiers.*/
    public ?array $accountIds = null;
    /** @var string[]|null $tenantIds An array of tenant identifiers.*/
    public ?array $tenantIds = null;
    /** @var string[]|null $integrationIds An array of integration identifiers.*/
    public ?array $integrationIds = null;
    /** @var null|bool $includeSoftDeleted A boolean stating whether we want soft deleted records, default is to not include soft deleted records*/
    public ?bool $includeSoftDeleted = null;
    /** @var null|\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination $pagination */
    public ?\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination $pagination = null;

    /**
     * @param  string[]|null  $ids An array of primary key identifiers.
     * @param  string[]|null  $accountIds An array of account identifiers.
     * @param  string[]|null  $tenantIds An array of tenant identifiers.
     * @param  string[]|null  $integrationIds An array of integration identifiers.
     * @param  null|bool  $includeSoftDeleted A boolean stating whether we want soft deleted records, default is to not include soft deleted records
     * @param  null|\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination  $pagination 
     */
    public function __construct(?array $ids, ?array $accountIds, ?array $tenantIds, ?array $integrationIds, ?bool $includeSoftDeleted, ?\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination $pagination)
    {
        $this->ids = $ids;
        $this->accountIds = $accountIds;
        $this->tenantIds = $tenantIds;
        $this->integrationIds = $integrationIds;
        $this->includeSoftDeleted = $includeSoftDeleted;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination
    {
        return $this->pagination;
    }
}