<?php
namespace Bushelpowered\Api\Common\Config\Model;
        
class Configurable 
{
    /** @var string $key Key that identifies the configurable*/
    public string $key;
    /** @var string $label Label for the configurable*/
    public string $label;
    /** @var string $description Description of the configurable*/
    public string $description;
    /** @var bool $isFeature Indicates if the configurable is a feature*/
    public bool $isFeature;
    /** @var string $group Group that the configurable belongs to*/
    public string $group;
    /** @var string $dataType Data type of the configurable*/
    public string $dataType;
    /** @var string[] $options Value options for the configurable*/
    public array $options;

    /**
     * @param  string  $key Key that identifies the configurable
     * @param  string  $label Label for the configurable
     * @param  string  $description Description of the configurable
     * @param  bool  $isFeature Indicates if the configurable is a feature
     * @param  string  $group Group that the configurable belongs to
     * @param  string  $dataType Data type of the configurable
     * @param  string[]  $options Value options for the configurable
     */
    public function __construct(string $key, string $label, string $description, bool $isFeature, string $group, string $dataType, array $options)
    {
        $this->key = $key;
        $this->label = $label;
        $this->description = $description;
        $this->isFeature = $isFeature;
        $this->group = $group;
        $this->dataType = $dataType;
        $this->options = $options;
    }
    

}