<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class ActivityFilters implements \Bushelpowered\Api\Common\HasCreatedAtFilter
{
    /** @var string[]|null $ids Activity id in list*/
    public ?array $ids = null;
    /** @var string[]|null $tenantIds Tenant id in list*/
    public ?array $tenantIds = null;
    /** @var string[]|null $customerIds Customer id in list*/
    public ?array $customerIds = null;
    /** @var null|string $completedAtEqualOrAfter Completed at is equal or after (inclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $completedAtEqualOrAfter = null;
    /** @var null|string $completedAtBefore Completed at is before (exclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $completedAtBefore = null;
    /** @var null|string $dueDateEqualOrAfter Due date at is equal or after (inclusive) of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $dueDateEqualOrAfter = null;
    /** @var null|string $dueDateBefore Due date at is before (exclusive) of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $dueDateBefore = null;
    /** @var string[]|null $createdBy User who created the activity in list*/
    public ?array $createdBy = null;
    /** @var string[]|null $assignedTo User who is assigned the activity (task) in list*/
    public ?array $assignedTo = null;
    /** @var string[]|null $completedBy User who completed the activity in list*/
    public ?array $completedBy = null;
    /** @var \Bushelpowered\Api\Crm\V1\Request\ActivityType[]|null $activityType Activity type in list*/
    public ?array $activityType = null;
    /** @var \Bushelpowered\Api\Crm\V1\Request\TaskStatus[]|null $taskStatus Task status in list*/
    public ?array $taskStatus = null;
    /** @var null|string $createdAtEqualOrAfter Created at is equal or after (inclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $createdAtEqualOrAfter = null;
    /** @var null|string $createdAtBefore Created at is before (exclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $createdAtBefore = null;

    /**
     * @param  string[]|null  $ids Activity id in list
     * @param  string[]|null  $tenantIds Tenant id in list
     * @param  string[]|null  $customerIds Customer id in list
     * @param  null|string  $completedAtEqualOrAfter Completed at is equal or after (inclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $completedAtBefore Completed at is before (exclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $dueDateEqualOrAfter Due date at is equal or after (inclusive) of yyyy-MM-dd format, IE: 2023-10-04
     * @param  null|string  $dueDateBefore Due date at is before (exclusive) of yyyy-MM-dd format, IE: 2023-10-04
     * @param  string[]|null  $createdBy User who created the activity in list
     * @param  string[]|null  $assignedTo User who is assigned the activity (task) in list
     * @param  string[]|null  $completedBy User who completed the activity in list
     * @param  \Bushelpowered\Api\Crm\V1\Request\ActivityType[]|null  $activityType Activity type in list
     * @param  \Bushelpowered\Api\Crm\V1\Request\TaskStatus[]|null  $taskStatus Task status in list
     * @param  null|string  $createdAtEqualOrAfter Created at is equal or after (inclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $createdAtBefore Created at is before (exclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(?array $ids, ?array $tenantIds, ?array $customerIds, ?string $completedAtEqualOrAfter, ?string $completedAtBefore, ?string $dueDateEqualOrAfter, ?string $dueDateBefore, ?array $createdBy, ?array $assignedTo, ?array $completedBy, ?array $activityType, ?array $taskStatus, ?string $createdAtEqualOrAfter, ?string $createdAtBefore)
    {
        $this->ids = $ids;
        $this->tenantIds = $tenantIds;
        $this->customerIds = $customerIds;
        $this->completedAtEqualOrAfter = $completedAtEqualOrAfter;
        $this->completedAtBefore = $completedAtBefore;
        $this->dueDateEqualOrAfter = $dueDateEqualOrAfter;
        $this->dueDateBefore = $dueDateBefore;
        $this->createdBy = $createdBy;
        $this->assignedTo = $assignedTo;
        $this->completedBy = $completedBy;
        $this->activityType = $activityType;
        $this->taskStatus = $taskStatus;
        $this->createdAtEqualOrAfter = $createdAtEqualOrAfter;
        $this->createdAtBefore = $createdAtBefore;
    }
    
    /**
     * @return null|string Created at is equal or after (inclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAtEqualOrAfter(): ?string
    {
        return $this->createdAtEqualOrAfter;
    }
    /**
     * @return null|string Created at is before (exclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAtBefore(): ?string
    {
        return $this->createdAtBefore;
    }
}