<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class CreateActivityRequest 
{
    /** @var string $customerId The UUID of the customer associated with the activity*/
    public string $customerId;
    /** @var string $activityType The type of activity: note, calltext, email, task, meeting*/
    public string $activityType;
    /** @var string $content The content of the activity, editable, 1000 character limit*/
    public string $content;
    /** @var null|string $assignedTo the UUID of the user that the task is assigned to*/
    public ?string $assignedTo = null;
    /** @var null|string $dueDate the due date of the task of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $dueDate = null;
    /** @var null|\Bushelpowered\Api\Crm\V1\Request\CreateFollowUpTaskRequest $createFollowUpTask */
    public ?\Bushelpowered\Api\Crm\V1\Request\CreateFollowUpTaskRequest $createFollowUpTask = null;

    /**
     * @param  string  $customerId The UUID of the customer associated with the activity
     * @param  string  $activityType The type of activity: note, calltext, email, task, meeting
     * @param  string  $content The content of the activity, editable, 1000 character limit
     * @param  null|string  $assignedTo the UUID of the user that the task is assigned to
     * @param  null|string  $dueDate the due date of the task of yyyy-MM-dd format, IE: 2023-10-04
     * @param  null|\Bushelpowered\Api\Crm\V1\Request\CreateFollowUpTaskRequest  $createFollowUpTask 
     */
    public function __construct(string $customerId, string $activityType, string $content, ?string $assignedTo, ?string $dueDate, ?\Bushelpowered\Api\Crm\V1\Request\CreateFollowUpTaskRequest $createFollowUpTask)
    {
        $this->customerId = $customerId;
        $this->activityType = $activityType;
        $this->content = $content;
        $this->assignedTo = $assignedTo;
        $this->dueDate = $dueDate;
        $this->createFollowUpTask = $createFollowUpTask;
    }
    

}