<?php
namespace Bushelpowered\Api\Data\Analytics\V1\Response;
        
class PricingLineResponse 
{
    /** @var null|float $sourceQuantityPriced The quantity of priced units.*/
    public ?float $sourceQuantityPriced = null;
    /** @var null|float $sourceQuantityDelivered The quantity of delivered units. Tracks the net delivered units of the contracted commodity applied to this pricing line.*/
    public ?float $sourceQuantityDelivered = null;
    /** @var null|string $sourceQuantityUom The unit of measure by which the quantities are measured, such as bushels.*/
    public ?string $sourceQuantityUom = null;
    /** @var null|string $sourceFuturesMonth The future month, or the month during which a commodity would be brought to market.*/
    public ?string $sourceFuturesMonth = null;
    /** @var null|float $sourceFuturesPrice The future price, which is the month-specific market rate for a commodity.*/
    public ?float $sourceFuturesPrice = null;
    /** @var null|float $sourceBasisPrice The basis price, which is an adjustment to the future price offsetting costs incurred by the buyer.*/
    public ?float $sourceBasisPrice = null;
    /** @var null|float $sourceCashPrice The cash price, which is the maximum value per unit the seller can receive.*/
    public ?float $sourceCashPrice = null;
    /** @var null|string $locationId The location identifier.*/
    public ?string $locationId = null;
    /** @var null|string $sourceDeliveryPeriodStart The delivery period start date. Delivery periods are derived from futures months and, generally, start along with calendar months. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $sourceDeliveryPeriodStart = null;
    /** @var null|string $sourceDeliveryPeriodEnd The delivery period end date. Delivery periods are derived from futures months and, generally, end along with calendar months. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $sourceDeliveryPeriodEnd = null;

    /**
     * @param  null|float  $sourceQuantityPriced The quantity of priced units.
     * @param  null|float  $sourceQuantityDelivered The quantity of delivered units. Tracks the net delivered units of the contracted commodity applied to this pricing line.
     * @param  null|string  $sourceQuantityUom The unit of measure by which the quantities are measured, such as bushels.
     * @param  null|string  $sourceFuturesMonth The future month, or the month during which a commodity would be brought to market.
     * @param  null|float  $sourceFuturesPrice The future price, which is the month-specific market rate for a commodity.
     * @param  null|float  $sourceBasisPrice The basis price, which is an adjustment to the future price offsetting costs incurred by the buyer.
     * @param  null|float  $sourceCashPrice The cash price, which is the maximum value per unit the seller can receive.
     * @param  null|string  $locationId The location identifier.
     * @param  null|string  $sourceDeliveryPeriodStart The delivery period start date. Delivery periods are derived from futures months and, generally, start along with calendar months. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $sourceDeliveryPeriodEnd The delivery period end date. Delivery periods are derived from futures months and, generally, end along with calendar months. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(?float $sourceQuantityPriced, ?float $sourceQuantityDelivered, ?string $sourceQuantityUom, ?string $sourceFuturesMonth, ?float $sourceFuturesPrice, ?float $sourceBasisPrice, ?float $sourceCashPrice, ?string $locationId, ?string $sourceDeliveryPeriodStart, ?string $sourceDeliveryPeriodEnd)
    {
        $this->sourceQuantityPriced = $sourceQuantityPriced;
        $this->sourceQuantityDelivered = $sourceQuantityDelivered;
        $this->sourceQuantityUom = $sourceQuantityUom;
        $this->sourceFuturesMonth = $sourceFuturesMonth;
        $this->sourceFuturesPrice = $sourceFuturesPrice;
        $this->sourceBasisPrice = $sourceBasisPrice;
        $this->sourceCashPrice = $sourceCashPrice;
        $this->locationId = $locationId;
        $this->sourceDeliveryPeriodStart = $sourceDeliveryPeriodStart;
        $this->sourceDeliveryPeriodEnd = $sourceDeliveryPeriodEnd;
    }
    

}