<?php
namespace Bushelpowered\Api\Fulfillment\Common\V1\Response;
        
class LocationResponse 
{
    /** @var string $id The location's id*/
    public string $id;
    /** @var string $name The location's name*/
    public string $name;
    /** @var null|string $city */
    public ?string $city = null;
    /** @var null|string $addressLine1 */
    public ?string $addressLine1 = null;
    /** @var null|string $addressLine2 */
    public ?string $addressLine2 = null;
    /** @var null|string $state */
    public ?string $state = null;
    /** @var null|string $zipCode */
    public ?string $zipCode = null;

    /**
     * @param  string  $id The location's id
     * @param  string  $name The location's name
     * @param  null|string  $city 
     * @param  null|string  $addressLine1 
     * @param  null|string  $addressLine2 
     * @param  null|string  $state 
     * @param  null|string  $zipCode 
     */
    public function __construct(string $id, string $name, ?string $city, ?string $addressLine1, ?string $addressLine2, ?string $state, ?string $zipCode)
    {
        $this->id = $id;
        $this->name = $name;
        $this->city = $city;
        $this->addressLine1 = $addressLine1;
        $this->addressLine2 = $addressLine2;
        $this->state = $state;
        $this->zipCode = $zipCode;
    }
    

}