<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Request;
        
class LookupResourcesForSubjectsRequest implements \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasConsistency, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasPermissions
{
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\SubjectRef[] $subjects A list of subjects to lookup resources for*/
    public array $subjects;
    /** @var null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency */
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency = null;
    /** @var string[] $permissions The permissions to check or lookup. Use the GetAllPermissions operation to see available options.*/
    public array $permissions;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\SubjectRef[]  $subjects A list of subjects to lookup resources for
     * @param  null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency  $consistency 
     * @param  string[]  $permissions The permissions to check or lookup. Use the GetAllPermissions operation to see available options.
     */
    public function __construct(array $subjects, ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency, array $permissions)
    {
        $this->subjects = $subjects;
        $this->consistency = $consistency;
        $this->permissions = $permissions;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency 
     */
    public function getConsistency(): ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency
    {
        return $this->consistency;
    }
    /**
     * @return string[] The permissions to check or lookup. Use the GetAllPermissions operation to see available options.
     */
    public function getPermissions(): array
    {
        return $this->permissions;
    }
}