<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Response;
        
class CheckResponse implements \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasResultWindow
{
    /** @var bool $all True when all checked permissions were granted.*/
    public bool $all;
    /** @var string[] $granted The granted permissions.*/
    public array $granted;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow */
    public \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow;

    /**
     * @param  bool  $all True when all checked permissions were granted.
     * @param  string[]  $granted The granted permissions.
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken  $resultWindow 
     */
    public function __construct(bool $all, array $granted, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow)
    {
        $this->all = $all;
        $this->granted = $granted;
        $this->resultWindow = $resultWindow;
    }
    
    /**
     * @return \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken 
     */
    public function getResultWindow(): \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken
    {
        return $this->resultWindow;
    }
}