<?php
namespace Bushelpowered\Api\Platform\Authorization\V1\Request;
        
class SyncStaffUserRequest 
{
    /** @var string $bushelId The user bushel identifier.*/
    public string $bushelId;
    /** @var string $tenantId The tenant identifier.*/
    public string $tenantId;
    /** @var \Bushelpowered\Api\Platform\Authorization\V1\Request\SyncStaffUserRoles[] $tenantRoles The role names for this Staff User. This list is expected to be exhaustive, if roles property is empty than all existing role bindings will be removed.*/
    public array $tenantRoles;
    /** @var \Bushelpowered\Api\Platform\Authorization\V1\Request\LocationRoles[]|null $locationRoles The aggregate of the location identifier, datasource identifier and roles for the location.*/
    public ?array $locationRoles = null;

    /**
     * @param  string  $bushelId The user bushel identifier.
     * @param  string  $tenantId The tenant identifier.
     * @param  \Bushelpowered\Api\Platform\Authorization\V1\Request\SyncStaffUserRoles[]  $tenantRoles The role names for this Staff User. This list is expected to be exhaustive, if roles property is empty than all existing role bindings will be removed.
     * @param  \Bushelpowered\Api\Platform\Authorization\V1\Request\LocationRoles[]|null  $locationRoles The aggregate of the location identifier, datasource identifier and roles for the location.
     */
    public function __construct(string $bushelId, string $tenantId, array $tenantRoles, ?array $locationRoles)
    {
        $this->bushelId = $bushelId;
        $this->tenantId = $tenantId;
        $this->tenantRoles = $tenantRoles;
        $this->locationRoles = $locationRoles;
    }
    

}