<?php
namespace Bushelpowered\Api\Platform\Connection\V1\Response;
        
class GetAllConnectionResponse 
{
    /** @var null|string $connectionId */
    public ?string $connectionId = null;
    /** @var string $accountId The account identifier.*/
    public string $accountId;
    /** @var string $sourceAccountId The source account identifier.*/
    public string $sourceAccountId;
    /** @var string $accountName */
    public string $accountName;
    /** @var string $featureId */
    public string $featureId;
    /** @var string $featureName */
    public string $featureName;
    /** @var null|bool $isConnected */
    public ?bool $isConnected = null;
    /** @var null|string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $createdAt = null;
    /** @var null|string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $updatedAt = null;

    /**
     * @param  null|string  $connectionId 
     * @param  string  $accountId The account identifier.
     * @param  string  $sourceAccountId The source account identifier.
     * @param  string  $accountName 
     * @param  string  $featureId 
     * @param  string  $featureName 
     * @param  null|bool  $isConnected 
     * @param  null|string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(?string $connectionId, string $accountId, string $sourceAccountId, string $accountName, string $featureId, string $featureName, ?bool $isConnected, ?string $createdAt, ?string $updatedAt)
    {
        $this->connectionId = $connectionId;
        $this->accountId = $accountId;
        $this->sourceAccountId = $sourceAccountId;
        $this->accountName = $accountName;
        $this->featureId = $featureId;
        $this->featureName = $featureName;
        $this->isConnected = $isConnected;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    

}