<?php
namespace Bushelpowered\Api\Platform\Location\V1\Request;
        
class GetAllLocationsRequest implements \Bushelpowered\Api\Common\RequestsPagination, \Bushelpowered\Api\Common\HasCreatedAtFilter
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var string[]|null $tenantIds */
    public ?array $tenantIds = null;
    /** @var null|string $name Performs a fuzzy search across the internalName, publicName, sourceName, and sourceId fields. This is an OR search, matching any of the fields that contain the exact string provided.*/
    public ?string $name = null;
    /** @var null|\Bushelpowered\Api\Platform\Location\V1\Domo\LocationType $locationType */
    public ?\Bushelpowered\Api\Platform\Location\V1\Domo\LocationType $locationType = null;
    /** @var null|\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination $pagination */
    public ?\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination $pagination = null;
    /** @var null|string $createdAtEqualOrAfter Created at is equal or after (inclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $createdAtEqualOrAfter = null;
    /** @var null|string $createdAtBefore Created at is before (exclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $createdAtBefore = null;

    /**
     * @param  string[]|null  $ids 
     * @param  string[]|null  $tenantIds 
     * @param  null|string  $name Performs a fuzzy search across the internalName, publicName, sourceName, and sourceId fields. This is an OR search, matching any of the fields that contain the exact string provided.
     * @param  null|\Bushelpowered\Api\Platform\Location\V1\Domo\LocationType  $locationType 
     * @param  null|\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination  $pagination 
     * @param  null|string  $createdAtEqualOrAfter Created at is equal or after (inclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $createdAtBefore Created at is before (exclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(?array $ids, ?array $tenantIds, ?string $name, ?\Bushelpowered\Api\Platform\Location\V1\Domo\LocationType $locationType, ?\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination $pagination, ?string $createdAtEqualOrAfter, ?string $createdAtBefore)
    {
        $this->ids = $ids;
        $this->tenantIds = $tenantIds;
        $this->name = $name;
        $this->locationType = $locationType;
        $this->pagination = $pagination;
        $this->createdAtEqualOrAfter = $createdAtEqualOrAfter;
        $this->createdAtBefore = $createdAtBefore;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination
    {
        return $this->pagination;
    }
    /**
     * @return null|string Created at is equal or after (inclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAtEqualOrAfter(): ?string
    {
        return $this->createdAtEqualOrAfter;
    }
    /**
     * @return null|string Created at is before (exclusive) of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAtBefore(): ?string
    {
        return $this->createdAtBefore;
    }
}