<?php
namespace Bushelpowered\Api\Quoting\V1\Request;
        
class UpsertLineItemRequest 
{
    /** @var null|string $id The id of the record to update, will be created if null*/
    public ?string $id = null;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category */
    public \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category;
    /** @var string $productId The UUID of the product*/
    public string $productId;
    /** @var null|int $quantity The quantity of the product*/
    public ?int $quantity = null;
    /** @var null|string $uom The unit of measure for the quantity*/
    public ?string $uom = null;

    /**
     * @param  null|string  $id The id of the record to update, will be created if null
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory  $category 
     * @param  string  $productId The UUID of the product
     * @param  null|int  $quantity The quantity of the product
     * @param  null|string  $uom The unit of measure for the quantity
     */
    public function __construct(?string $id, \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category, string $productId, ?int $quantity, ?string $uom)
    {
        $this->id = $id;
        $this->category = $category;
        $this->productId = $productId;
        $this->quantity = $quantity;
        $this->uom = $uom;
    }
    

}