<?php
namespace Bushelpowered\Api\Quoting\V1\Response;
        
class ServiceResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp, \Bushelpowered\Api\Common\HasCreatedBy, \Bushelpowered\Api\Common\HasUpdatedBy
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\ServiceType $serviceType */
    public \Bushelpowered\Api\Quoting\V1\Enums\ServiceType $serviceType;
    /** @var string $description */
    public string $description;
    /** @var null|float $amount */
    public ?float $amount = null;
    /** @var null|string $requestedServiceDate The requested service date of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $requestedServiceDate = null;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;
    /** @var string $createdBy Created by UUID within the microservice.*/
    public string $createdBy;
    /** @var string $updatedBy Updated by UUID within the microservice.*/
    public string $updatedBy;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\ServiceType  $serviceType 
     * @param  string  $description 
     * @param  null|float  $amount 
     * @param  null|string  $requestedServiceDate The requested service date of yyyy-MM-dd format, IE: 2023-10-04
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $createdBy Created by UUID within the microservice.
     * @param  string  $updatedBy Updated by UUID within the microservice.
     */
    public function __construct(string $id, \Bushelpowered\Api\Quoting\V1\Enums\ServiceType $serviceType, string $description, ?float $amount, ?string $requestedServiceDate, string $createdAt, string $updatedAt, string $createdBy, string $updatedBy)
    {
        $this->id = $id;
        $this->serviceType = $serviceType;
        $this->description = $description;
        $this->amount = $amount;
        $this->requestedServiceDate = $requestedServiceDate;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->createdBy = $createdBy;
        $this->updatedBy = $updatedBy;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
    /**
     * @return string Created by UUID within the microservice.
     */
    public function getCreatedBy(): string
    {
        return $this->createdBy;
    }
    /**
     * @return string Updated by UUID within the microservice.
     */
    public function getUpdatedBy(): string
    {
        return $this->updatedBy;
    }
}