<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Model;
        
class Document 
{
    /** @var string $id The bushel account id of the signer.*/
    public string $id;
    /** @var string $owner The email of the signer.*/
    public string $owner;
    /** @var null|string $title The name of the signer.*/
    public ?string $title = null;
    /** @var null|string $subject The name of the signer.*/
    public ?string $subject = null;
    /** @var null|string $message The name of the signer.*/
    public ?string $message = null;
    /** @var null|string $customerTag The name of the signer.*/
    public ?string $customerTag = null;
    /** @var null|string $source The name of the signer.*/
    public ?string $source = null;
    /** @var null|string $chain The name of the signer.*/
    public ?string $chain = null;

    /**
     * @param  string  $id The bushel account id of the signer.
     * @param  string  $owner The email of the signer.
     * @param  null|string  $title The name of the signer.
     * @param  null|string  $subject The name of the signer.
     * @param  null|string  $message The name of the signer.
     * @param  null|string  $customerTag The name of the signer.
     * @param  null|string  $source The name of the signer.
     * @param  null|string  $chain The name of the signer.
     */
    public function __construct(string $id, string $owner, ?string $title, ?string $subject, ?string $message, ?string $customerTag, ?string $source, ?string $chain)
    {
        $this->id = $id;
        $this->owner = $owner;
        $this->title = $title;
        $this->subject = $subject;
        $this->message = $message;
        $this->customerTag = $customerTag;
        $this->source = $source;
        $this->chain = $chain;
    }
    

}