<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Model;
        
class SignatureResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    /** @var string $id The unique identifier of the signature.*/
    public string $id;
    /** @var string $status The current status of the signature (e.g., pending, signed).*/
    public string $status;
    /** @var string $signingUrl The URL to the document file.*/
    public string $signingUrl;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id The unique identifier of the signature.
     * @param  string  $status The current status of the signature (e.g., pending, signed).
     * @param  string  $signingUrl The URL to the document file.
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $status, string $signingUrl, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->status = $status;
        $this->signingUrl = $signingUrl;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}